% *************************************************************
% author:   Gene Cheung                                      **
% date:     07/29/2014                                       **
% modified: 07/29/2014                                       **
% purpose:  diplay gradient maps as pixels                   **
% *************************************************************

function [done] = displayEdgeMap (hGrad, vGrad, im1)

[hHeight, hWidth] = size(hGrad);
[vHeight, vWidth] = size(vGrad);

% step 1: add edges in hGrad to im1 ******
for i = 1:hHeight,
    for j = 1:hWidth,
        if hGrad(i,j) == 1,
            im1(i,j) = 0;
            im1(i,j+1) = 0;
        end
    end
end

% step 2: add edges in vGrad to im1 ******
for i = 1:vHeight,
    for j = 1:vWidth,
        if vGrad(i,j) == 1,
            im1(i,j) = 0;
            im1(i+1,j) = 0;
        end
    end
end

imshow(im1/max(im1(:)));