% *************************************************************
% author:   Gene Cheung                                      **
% date:     01/22/2015                                       **
% modified: 01/22/2015                                       **
% purpose:  output contours in a frame to file               **
% *************************************************************

% input: direction code (1-4 means North, East, South, West),
% output: AEC codeword (d) and the number of used bits (bCount).

function [done] = printContour (startPt, dcode, bCountPerCont, fName, horizon)

[dRow, dCol] = size(dcode);
if horizon == 0,
    fOutName = strcat(fName, '_contour.txt');
else
    fOutName = strcat(fName, '_contour_h', int2str(horizon), '.txt');
end
fID = fopen(fOutName,'w');

for i = 1:dRow,
    [val, ind] = min(dcode(i,:));
    fprintf(fID, '%d\t%d\t%d\t%d\t%d\t%f\n', i, startPt(i).hGrad, startPt(i).row, startPt(i).col, bCountPerCont(i), bCountPerCont(i)/(ind-1));     
    ind = find(dcode(i,:) == 0);
    for j = 1:ind-1,
        fprintf(fID, '%d', dcode(i,j));
    end
    fprintf(fID, '\n');
end
fclose(fID);
